<?php

function data_text($time) {
$m = date("m", $time);
$m = (int)$m;
$month = array(
1=>"янв",
2=>"фев",
3=>"мар",
4=>"апр",
5=>"мая",
6=>"июн",
7=>"июл",
8=>"авг",
9=>"сен",
10=>"окт",
11=>"ноя",
12=>"дек"
);
$data = date("d", $time)." ".$month[$m]." ".date("Y", $time)."г. ".date("H:i", $time);
return $data;
}
function bbcode($text) {
$bbcode = array(
'/\[b\](.+)\[\/b\]/isU'=>'<strong>\\1</strong>',
'/\[u\](.+)\[\/u\]/isU'=>'<u>\\1</u>',
'/\[i\](.+)\[\/i\]/isU'=>'<span style="font-style: italic">\\1</span>',
'/\[color\=red\](.+)\[\/color\]/isU'=>'<span style="color: red">\\1</span>',
'/\[color\=green\](.+)\[\/color\]/isU'=>'<span style="color: green">\\1</span>',
'/\[color\=blue\](.+)\[\/color\]/isU'=>'<span style="color: blue">\\1</span>',
'/\[color\=gold\](.+)\[\/color\]/isU'=>'<span style="color: gold">\\1</span>',
'/\[color\=orange\](.+)\[\/color\]/isU'=>'<span style="color: orange">\\1</span>'
);
return preg_replace(array_keys($bbcode), array_values($bbcode), $text);
}
function clean($text) {
$text = nl2br(htmlspecialchars($text));
$text = preg_replace("|(https?://(www.)?([\w\-]+)(\.([\w\-]+))+([\w\\\/\.?&%=\-+]*))|i", '<span style="color: #d80000">рекламма</span>', $text);
return $text;
}
function prob_per($text) {
$text = preg_replace('/(\r\n){2,}/', "$1", $text);
$text = preg_replace('/(\s){2,}/', "$1", $text);
return $text;
}
function checked($value) {
if($value == 0) return; else return 'checked';
}

function smarray() {
return array(
'8-)'=>'<img src="smiles/8.gif" alt=""/>',
'B-)'=>'<img src="smiles/B.gif" alt=""/>',
':-D'=>'<img src="smiles/D.gif" alt=""/>',
':-O'=>'<img src="smiles/O.gif" alt=""/>',
':-P'=>'<img src="smiles/P.gif" alt=""/>',
';)'=>'<img src="smiles/wink.gif" alt=""/>',
':)'=>'<img src="smiles/smile.gif" alt=""/>',
':acute:'=>'<img src="smiles/acute.gif" alt=""/>',
':agres:'=>'<img src="smiles/agres.gif" alt=""/>',
':angel:'=>'<img src="smiles/angel.gif" alt=""/>',
':beee:'=>'<img src="smiles/beee.gif" alt=""/>',
':bo:'=>'<img src="smiles/bo.gif" alt=""/>',
':bomb:'=>'<img src="smiles/bomb.gif" alt=""/>',
':bravo:'=>'<img src="smiles/bravo.gif" alt=""/>',
':cray:'=>'<img src="smiles/cray.gif" alt=""/>',
':crazy:'=>'<img src="smiles/crazy.gif" alt=""/>',
':dance:'=>'<img src="smiles/dance.gif" alt=""/>',
':diablo:'=>'<img src="smiles/diablo.gif" alt=""/>',
':dont_know:'=>'<img src="smiles/dont_know.gif" alt=""/>',
':drink:'=>'<img src="smiles/drink.gif" alt=""/>',
':fool:'=>'<img src="smiles/fool.gif" alt=""/>',
':good:'=>'<img src="smiles/good.gif" alt=""/>',
':help:'=>'<img src="smiles/help.gif" alt=""/>',
':hi:'=>'<img src="smiles/hi.gif" alt=""/>',
':jokingly:'=>'<img src="smiles/jokingly.gif" alt=""/>',
':kiss:'=>'<img src="smiles/kiss.gif" alt=""/>',
':kissed:'=>'<img src="smiles/kissed.gif" alt=""/>',
':pont:'=>'<img src="smiles/pont.gif" alt=""/>',
':mamba:'=>'<img src="smiles/mamba.gif" alt=""/>',
':melancholy:'=>'<img src="smiles/melancholy.gif" alt=""/>',
':music:'=>'<img src="smiles/music.gif" alt=""/>',
':nea:'=>'<img src="smiles/nea.gif" alt=""/>',
':ok:'=>'<img src="smiles/ok.gif" alt=""/>',
':pardon:'=>'<img src="smiles/pardon.gif" alt=""/>',
':rofl:'=>'<img src="smiles/rofl.gif" alt=""/>',
':scratch:'=>'<img src="smiles/scratch.gif" alt=""/>',
':sorry:'=>'<img src="smiles/sorry.gif" alt=""/>',
':stop:'=>'<img src="smiles/stop.gif" alt=""/>',
':tired:'=>'<img src="smiles/tired.gif" alt=""/>',
':wall:'=>'<img src="smiles/wall.gif" alt=""/>',
':write:'=>'<img src="smiles/write.gif" alt=""/>',
':secret:'=>'<img src="smiles/secret.gif" alt=""/>',
':yahoo:'=>'<img src="smiles/yahoo.gif" alt=""/>',
':yes:'=>'<img src="smiles/yes.gif" alt=""/>'
);
}
function smile($string) {
$sm = smarray();
return str_replace(array_keys($sm), array_values($sm), $string);
}

function antiflud_ip($ip) {
$col = mysql_num_rows(mysql_query("SELECT `id` FROM `chat` WHERE `ip`='".$ip."' ORDER BY `id` DESC LIMIT 0, 2;"));
if($col == 2) return true; else return false;
}

function error_text($error) {
if($error == 2): return "<div class='err'>Незаполнены обязательные поля!</div>";
elseif($error == 3): return "<div class='err'>Запрещённые символы в имени!</div>";
elseif($error == 4): return "<div class='err'>Имя не должно состоять только из цифр!</div>";
elseif($error == 5): return "<div class='err'>Такой ник уже занят. Попробуйте другой.</div>";
elseif($error == 6): return "<div class='err'>Имя пользователя должно содержать от 3 до 15 символов!</div>";
elseif($error == 7): return "<div class='err'>В тексте сообщения должно содержаться от 5 до 255 символов!</div>";
elseif($error == 8): return "<div class='err'>Нельзя так часто отправлять сообщения!</div>";
endif;
}
function error_ip($error) {
if($error == 2): return "<div class='err'>Не введён IP-адрес!</div>";
elseif($error == 3): return "<div class='err'>Неверный формат IP-адреса!</div>";
elseif($error == 4): return "<div class='err'>Такой IP-адрес уже имеется в базе данных!</div>";
endif;
}
function error_add($error) {
if($error == 2): return "<div class='err'>Сообщение не может быть пустым!</div>";
elseif($error == 3): return "<div class='err'>В тексте сообщения должно содержаться от 5 до 255 символов!</div>";
endif;
}
function error_nameb($error) {
if($error == 2): return "<div class='err'>Не заполнено поле</div>";
elseif($error == 3): return "<div class='err'>Запрещённые символы в имени!</div>";
elseif($error == 4): return "<div class='err'>Такое имя уже есть в базе данных!</div>";
elseif($error == 5): return "<div class='err'>Имя пользователя должно содержать от 3 до 15 символов!</div>";
endif;
}
function error_antimat($error) {
if($error == 2): return "<div class='err'>Не заполнено поле</div>";
elseif($error == 3): return "<div class='err'>Запрещённые символы в имени!</div>";
elseif($error == 4): return "<div class='err'>Такое слово уже есть в словаре!</div>";
elseif($error == 5): return "<div class='err'>Слово должно содержать от 3 до 15 символов!</div>";
endif;
}
function error_nastr($error) {
if($error == 2): return "<div class='err'>Незаполнены обязательные поля!</div>";
elseif($error == 3): return "<div class='err'>Запрещённые символы в логине!</div>";
elseif($error == 4): return "<div class='err'>Имя не должно состоять только из цифр!</div>";
elseif($error == 5): return "<div class='err'>Логин должен содержать от 3 до 15 символов!</div>";
elseif($error == 6): return "<div class='err'>Запрещённые сиволы в названии заголовка!</div>";
elseif($error == 7): return "<div class='err'>Поле для ввода страниц должно содержать числовое значение!</div>";
elseif($error == 8): return "<div class='err'>Поле для ввода дней авточистки должно содержать числовое значение!</div>";
elseif($error == 9): return "<div class='err'>Запрещённые символы в пароле!</div>";
endif;
}

function antimat($text) {
$query = mysql_query("SELECT `slovo` FROM `antimat`;");
while($inf = mysql_fetch_assoc($query)) {
$text = preg_replace("/(".preg_quote($inf['slovo']).")/iu", "***", $text);
}
return $text;
}
function avtoclean($day) {
$dcl = time() - 86400 * $day;
mysql_query("DELETE FROM `chat` WHERE `time`<".$dcl.";");
}

?>
